﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace SimpleBlog.Models
{
    public class LoginVM
    {
        [DisplayName("Username")]
        [Required(ErrorMessage="Please enter a username.")]
        public String Username { get; set; }

        [DisplayName("Pasword")]
        [Required(ErrorMessage = "Please enter a password.")]
        [DataType(DataType.Password)]
        public String Password { get; set; }
    }
}