﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace SimpleBlog.Models
{
    public class RegisterVM
    {
        [Display(Name="Username")]
        [Required(ErrorMessage="Please enter correct username")]
        [DataType(DataType.Text)]
        public String Username { get; set; }

        [Display(Name = "Password")]
        [Required(ErrorMessage = "Please enter correct password")]
        [DataType(DataType.Password)]
        public String Password { get; set; }

        [Display(Name = "Email addres")]
        [Required(ErrorMessage = "Please enter actual email addres")]
        [DataType(DataType.EmailAddress)]
        public String Email { get; set; }

        [Display(Name = "Ages")]
        public short Ages { get; set; }

        [Display(Name = "Country")]
        [DataType(DataType.Text)]
        public String Country { get; set; }
    }
}