﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace SimpleBlog.Models
{
    public class MenuVM
    {
        public Int32 Id { get; set; }

        [Display(Name="Name")]
        [Required(ErrorMessage="Please specify Menu Name.")]
        [DataType(DataType.Text)]
        public String Name { get; set; }

        [Display(Name = "Visible")]
        public Boolean Visible { get; set; }
    }
}